<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// funciones
	include("./ints/inc_funciones.php");
	
	// conectar
	$ingenio_conn = array();
	include("./igns/ingenio_conn.php");
	myconnect($ingenio_conn[0],$ingenio_conn[1],$ingenio_conn[2],$ingenio_conn[3],"ERROR: !mysql_connect");

	// test de escritura en directorios y archivos
	$err_dir_test = array();
	$err_dir_test[0] = "./archivos";
	$err_dir_test[1] = "./archivos_html";
	$err_dir_test[2] = "./archivos_mult";
	$err_dir_test[3] = "./".$ingenio_conn[8];
	$err_dir_test[4] = "./fotos";
	$err_dir_test[5] = "./ftps";
	$err_dir_test[6] = "./ftps/lista_archivos.js";
	$err_dir_test[7] = "./ftps/ingenio_cm.js";
	$err_dir_test[8] = "./imagenes";
	$err_dir_test[9] = "./templates_c";
	$err_dir_test[10] = "./templates_cp";
	
	$testinstal = "";	
	for ($i=0; $i<count($err_dir_test); $i++)
	{
		if ( !is_writable($err_dir_test[$i]))
		{ 
			$testinstal .= "<span style=\"font-family:Arial,sans;font-weight:bold;color:#CC0000;\">ERROR: !0777 - ".$err_dir_test[$i]."</span><br />"; 
		}
	
	}
	
	if ($testinstal != "")
	{
		
		$testinstal_html="<html><head><title>".$ingenio_conn[4]."</title></head><body style=\"margin:40px;\">".$testinstal."</body></html>";		
		die ($testinstal_html);
	}

	// configurar
	$qig = myquery("SELECT * FROM ".INGENIO,"[admin=conf]");
	while ($row_qig = myfetch($qig))
	{
		define("CONFIG_".$row_qig["igID"], $row_qig["topic"]);
	}
	include("./ints/core/core.modr.php");
	

	// idioma
	$qid = myquery("SELECT * FROM ".IDIOMA_ADMIN,"[admin=lens]");
	while ($row_qid = myfetch($qid))
	{
		if ($row_qid["topic_pre"]  != "")
		{
			define("LEN_ADMIN_".$row_qid["lenID"], $row_qid["topic_pre"]);
		} else {
			define("LEN_ADMIN_".$row_qid["lenID"], $row_qid["topic"]);
		}
	}

/******* CONFIGURACION  ***********/

$archivo_php = $_SERVER['SCRIPT_NAME'];
$titulo = INGENIO_NOMBRE." : ".INGENIO_VERSION;

/******* CONFIGURACION FIN ********/

	// inicio
	session_start();

	// ENTRADA VER PAG
	if (isset($_GET["vp"]))
	{
		Redir ("./".$ingenio_conn[7]."/inicio.php");
	}


	// REDIRECCION
	if (isset($_GET["g"]))
	{
		$redirG = "./".$ingenio_conn[7]."/inicio.php";
		$redirG_get = "?g=1";
	
	} else { 
	
		$redirG = NOMBRE_DOMINIO.RUTA_INICIO."len".IGUAL."0";
		$redirG_get = "";
	
	}

	// salir del administrador
	if (isset($_GET["sr"]))
	{
		setcookie("GX_ss", CONFIG_8, time()-(3600*24*15), "/");
		setcookie("GX_ps", CONFIG_9, time()-(3600*24*15), "/");
		setcookie("GX_us", "", time()-(3600*24*15), "/");
		setcookie("GX_prm", "", time()-(3600*24*15), "/");
		$_SESSION["log"] = "";
		$_SESSION["pass"] = "";
		$_SESSION["lv"] = "";
		unset($_SESSION["log"]);
		unset($_SESSION["pass"]);
		unset($_SESSION["lv"]);
		
		$redirG_get = "?g=1";
		//$str = "";		
	}
	
	// ENTRAR
	if (isset($_POST["autorizado"]))
	{

		$verpass = isset($_POST["verpass"]) ? $_POST["verpass"] : 0;
		$gestperm = isset($_POST["gestperm"]) ? $_POST["gestperm"] : 0;

		// NO RECUERDA LAS PASS
		if ($verpass == 1)
		{
		
			// reconocer el Email registrado
			if ($_POST["identificador"] == CONFIG_12) // administrador
			{
		
				// envio de email
				$cabecera = "Content-Type: text/plain; charset=ISO-8859-15"."\r\n";
				$cabecera .= "Content-Transfer-Encoding: quoted-printable"."\r\n";
				$cabecera .= "Content-Disposition: inline"."\r\n";	
				$cabecera .= "From: ".CONFIG_12.""."\r\n";
				$mensaje = "::::::::::::"."\n\n";
				$mensaje .= decode64(CONFIG_9)."\n\n";
				$mensaje .= "::::::::::::"."\n\n";
				@mail(CONFIG_12,CONFIG_12,$mensaje,$cabecera);
				
				$str = LEN_ADMIN_329;
		
			} else {
		
				// chequear emails usuarios
				$quser = myquery("SELECT * FROM ".INGENIO." WHERE igID=44","[01]");
				$row_user = myfetch($quser);
				$todos_usuarios = explode("\r\n",$row_user["topic"]);
				for ($u=0; $u<count($todos_usuarios); $u++)
				{

					if ($_POST["identificador"] == str_antes_resto($todos_usuarios[$u],"+",1))
					{
				
						// envio de email
						$cabecera = "Content-Type: text/plain; charset=ISO-8859-15"."\r\n";
						$cabecera .= "Content-Transfer-Encoding: quoted-printable"."\r\n";
						$cabecera .= "Content-Disposition: inline"."\r\n";	
						$cabecera .= "From: ".str_antes_resto($todos_usuarios[$u],"+",1).""."\r\n";
						$mensaje = "::::::::::::"."\n\n";
						$mensaje .= str_antes_resto($todos_usuarios[$u],"+",2)."\n\n";
						$mensaje .= "::::::::::::"."\n\n";
						@mail(str_antes_resto($todos_usuarios[$u],"+",1),str_antes_resto($todos_usuarios[$u],"+",1),$mensaje,$cabecera);

						$str = LEN_ADMIN_329;
						
					break;
					} else {
				
						$str = LEN_ADMIN_7;	
					}
		
				}
		
			} // del if ($_POST["identificador"] ...
		
		
		} else {
		
			if ($_POST["identificador"] != "" && $_POST["contrasena"] != "")
			{
						
				// USUARIOS //
				if (CONFIG_43 == 0) // NO admite usuarios
				{
			
					if (($_POST["identificador"] == CONFIG_8 || $_POST["identificador"] == CONFIG_12) && $_POST["contrasena"] == decode64(CONFIG_9))
					{ 
						$_SESSION["log"] = CONFIG_8;
						$_SESSION["pass"] = CONFIG_9;
						$_SESSION["lv"] = 1;
						
						if ($gestperm == 0)
						{
							// gestion por sesion
							setcookie("GX_ss", CONFIG_8, 0, "/");
							setcookie("GX_ps", CONFIG_9, 0, "/");
							setcookie("GX_us", "1", 0, "/");
						
						} else if ($gestperm == 1)
						{
							// gestion permanente
							// time()+3600*24*15 -> el ultimo digito (...*15)
							//						indica los dias de gestion
							setcookie("GX_ss", CONFIG_8, time()+3600*24*15, "/");
							setcookie("GX_ps", CONFIG_9, time()+3600*24*15, "/");
							setcookie("GX_us", "1", time()+3600*24*15, "/");
							setcookie("GX_prm", "perm", time()+3600*24*15, "/");
						
						}
						
						Redir ($redirG);
		
					} else {		
				
						$str = LEN_ADMIN_7;
					}
				
				} else if (CONFIG_43 == 1) // SI admite usuarios
				{

					// chequear el administrador principal
					if (($_POST["identificador"] == CONFIG_8 || $_POST["identificador"] == CONFIG_12) && $_POST["contrasena"] == decode64(CONFIG_9))
					{ 
						$_SESSION["log"] = CONFIG_8;
						$_SESSION["pass"] = CONFIG_9;
						$_SESSION["lv"] = 1;
						
						if ($gestperm == 0)
						{
							// gestion por sesion
							setcookie("GX_ss", CONFIG_8, 0, "/");
							setcookie("GX_ps", CONFIG_9, 0, "/");
							setcookie("GX_us", "1", 0, "/");
						
						} else if ($gestperm == 1)
						{
							// gestion permanente
							// time()+3600*24*15 -> el ultimo digito (...*15)
							//						indica los dias de gestion
							setcookie("GX_ss", CONFIG_8, time()+3600*24*15, "/");
							setcookie("GX_ps", CONFIG_9, time()+3600*24*15, "/");
							setcookie("GX_us", "1", time()+3600*24*15, "/");
							setcookie("GX_prm", "perm", time()+3600*24*15, "/");
						
						}

						Redir ($redirG);
					
					} else {
				
						// chequear usuarios
						$quser = myquery("SELECT * FROM ".INGENIO." WHERE igID=44","[01]");
						$row_user = myfetch($quser);
						$todos_usuarios = explode("\r\n",$row_user["topic"]);
						for ($u=0; $u<count($todos_usuarios); $u++)
						{
							if ($_POST["identificador"] == str_antes_resto($todos_usuarios[$u],"+",1) && $_POST["contrasena"] == str_antes_resto($todos_usuarios[$u],"+",2))
							{
					
								$_SESSION["log"] = CONFIG_8;
								$_SESSION["pass"] = CONFIG_9;
								$_SESSION["lv"] = 2;
								
								if ($gestperm == 0)
								{
									// gestion por sesion
									setcookie("GX_ss", CONFIG_8, 0, "/");
									setcookie("GX_ps", CONFIG_9, 0, "/");
									setcookie("GX_us", "2", 0, "/");
						
								} else if ($gestperm == 1)
								{
									// gestion permanente
									// time()+3600*24*15 -> el ultimo digito (...*15)
									//						indica los dias de gestion
									setcookie("GX_ss", CONFIG_8, time()+3600*24*15, "/");
									setcookie("GX_ps", CONFIG_9, time()+3600*24*15, "/");
									setcookie("GX_us", "2", time()+3600*24*15, "/");
									setcookie("GX_prm", "perm", time()+3600*24*15, "/");
						
								}

								Redir ($redirG);

							break;
							} else {
					
								$str = LEN_ADMIN_7;
							}
						}
				
					} // del if ($_POST["identificador"] ...

				} // del if CONFIG_43
				// FIN USUARIOS //
		
			} // del if ($_POST["identificador"] ...
			
		} // del if $verpass == 1
	
	} // del if isset($_POST["autorizado"])

?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php  echo CONFIG_2; ?>">
<?php
// si hay favicon
if (CONFIG_3 != "+") {
?>
<link rel="sortcut icon" href="<?php  echo RUTA_INICIO_IMG.CONFIG_3; ?>" type="image/ico">
<?php
}
?>
<title><?php  echo $titulo; ?></title>
<?php
	// skin
	$qcomp = myquery("SELECT * FROM ".COMPOSICION." WHERE enabled=1 ORDER BY skinID ASC limit 0, 1");
	$row_comp = myfetch($qcomp);

	// update css js
	if (!isset($_SESSION["update_sess_admin"]))
	{
		$tpl_update_css_js = "?update=".mktime(date('H'), date('i'), date('s'), date('m'), date('d'), date('Y')); 
	} else {
		$tpl_update_css_js = "";	
	}
	$_SESSION["update_sess_admin"] = 1;


?>
<link rel="STYLESHEET" href="./skins_admin/<?php echo $row_comp['skin_admin'].$tpl_update_css_js; ?>" type="text/css" media="screen" />
<?php
 // skins css plugins
 	$tpl_archivos_man_css = getfilesdir("./skins_admin/".substr($row_comp['skin_admin'],0,-4)."/css","","(css)");
	for ($m=0; $m<count($tpl_archivos_man_css); $m++)
	{		
		echo '<link rel="STYLESHEET" href="./skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/css/'.basename($tpl_archivos_man_css[$m]).$tpl_update_css_js.'" type="text/css" media="screen" />';	
	}

?>
<script language="javascript" src="./<?php echo $ingenio_conn[7]; ?>/rsc/scripts_adms.js" type="text/javascript"></script>
<script type="text/javascript" src="./paqs/jquery/jquery-1.2.6.min.js"></script>
<script type="text/javascript" src="./paqs/jquery/lib/jquery.bgiframe.js"></script>
<script type="text/javascript" src="./paqs/jquery/lib/jquery.dimensions.js"></script>
<script type="text/javascript" src="./paqs/jquery/tooltip/jquery.tooltip.js"></script>
<script type="text/javascript">
	$(function() {
		$('a.conex_tip').tooltip({
		showURL: false
		});
	});
</script>

<script type="text/javascript">

function validar_ingreso (form)
{
	var alerta = "<?php echo LEN_ADMIN_19;?>";
	
		if (relleno(form.identificador.value))
		{ 
			alert(alerta); form.identificador.focus(); return false; 
		}

		if (!form.verpass.checked)
		{
			if (relleno(form.contrasena.value))
			{ 
				alert(alerta); form.contrasena.focus(); return false; 
			}
		}

} // fin validar_ingreso

</script>

</head>

<body onload="document.form1.identificador.focus();">

<div class="logo_admin"></div>

<table border="0" cellpadding="0" cellspacing="20" class="tabla_acceso" align="center">
	<form name="form1" method="post" action="<?php echo $archivo_php.$redirG_get; ?>" onsubmit="return validar_ingreso(this);">
<?php	
if (isset($str))
{
?>
	<tr>
		<td colspan="2" align="center" class="mensaje">
		<?php  echo $str; ?>
		</td>
	</tr>
<?php
}
?>
    <tr> 
       <td align="right">
       		<?php  echo LEN_ADMIN_2; ?>:
       </td>
       <td class="td_input"> 
			<input type="text" name="identificador" class="input_text tmini" value="<?php if (isset($_POST["identificador"])) echo $_POST["identificador"];?>">
       </td>
  	</tr>
    <tr> 
        <td align="right">
        		<?php  echo LEN_ADMIN_3; ?>:
        </td>
        <td class="td_input"> 
          		<input type="password" name="contrasena" class="input_text tmini">
        </td>
  	</tr>
  	<tr>
        <td colspan="2" align="center"> 
      			<input type="hidden" name="autorizado" value="1">
      			<input type="submit" value="<?php  echo LEN_ADMIN_5; ?>" class="boton">
       </td>
	
  	</tr>
    <tr>
        <td colspan="2" align="center"> 
      			<input type="checkbox" name="gestperm" value="1">
      			&nbsp;&nbsp;<?php echo LEN_ADMIN_190; ?>&nbsp;&nbsp;<a title="<?php echo salida_popups(LEN_ADMIN_252,true); ?>" class="conex_tip adcursor"><img class="img_icon_ini" src="./skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_info.png" /></a>
       </td>
	
  	</tr>
  	<tr>
        <td colspan="2" align="center"> 
      			<input type="checkbox" name="verpass" value="1">
      			&nbsp;&nbsp;<?php echo LEN_ADMIN_4; ?>&nbsp;&nbsp;<a title="<?php echo salida_popups(LEN_ADMIN_328,true); ?>" class="conex_tip adcursor"><img class="img_icon_ini" src="./skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_info.png" /></a>
       </td>
	
  	</tr>
 	</form>
</table>

</body>
</html>